Bug 439863 - ldapmodify fails when running against /usr/share/ipa/default-keytypes.ldif
ldapmodify fails when running against /usr/share/ipa/default-keytypes.ldif
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Nathan Kinder
Chandrasekar Kannan
:
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-03-31 15:54 EDT by Perry Myers
Modified: 2015-01-04 18:31 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
ldapmodify run with -d 3 (2.75 KB, text/plain)
2008-03-31 15:54 EDT, Perry Myers
no flags Details

  None (edit)
Description Perry Myers 2008-03-31 15:54:45 EDT
Description of problem:
Installed fedora-ds-base and ipa-server from rawhide.  During ipa install the ds
is created and ldapmodify is run as follows:

/usr/bin/ldapmodify -h 127.0.0.1 -xv -D "cn=Directory Manager" -w password -f
/tmp/foo

/tmp/foo is a randomly generated filename and the contents of this file are like
the following:

#kerberos keytypes
dn: cn=INT.VALANET.ORG,cn=kerberos,dc=int,dc=valanet,dc=org
changetype: modify
add: krbSupportedEncSaltTypes
krbSupportedEncSaltTypes: aes256-cts:normal
krbSupportedEncSaltTypes: aes128-cts:normal
krbSupportedEncSaltTypes: des3-hmac-sha1:normal
krbSupportedEncSaltTypes: arcfour-hmac:normal
krbSupportedEncSaltTypes: des-hmac-sha1:normal
krbSupportedEncSaltTypes: des-cbc-md5:normal
krbSupportedEncSaltTypes: des-cbc-crc:normal
krbSupportedEncSaltTypes: des-cbc-crc:v4
krbSupportedEncSaltTypes: des-cbc-crc:afs3
krbDefaultEncSaltTypes: aes256-cts:normal
krbDefaultEncSaltTypes: aes128-cts:normal
krbDefaultEncSaltTypes: des3-hmac-sha1:normal
krbDefaultEncSaltTypes: arcfour-hmac:normal
krbDefaultEncSaltTypes: des-hmac-sha1:normal
krbDefaultEncSaltTypes: des-cbc-md5:normal

This file is taken from /usr/share/ipa/default-keytypes.ldif.

ldapmodify fails with the following error message:

ldap_initialize( ldap://127.0.0.1 )
ldapmodify: wrong attributeType at line 13, entry
"cn=INT.VALANET.ORG,cn=kerberos,dc=int,dc=valanet,dc=org"

Version-Release number of selected component (if applicable):
ipa-server-0.99-12.fc9.x86_64
fedora-ds-base-1.1.0.1-3.fc9.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Install Fedora 9 beta and install the ipa-server and fedora-ds-base RPMs
2. Run ipa-server-install 
3.
  
Actual results:
ipa-server-install completes, but a critical error is reported for the
ldapmodify command as described above.

Expected results:
ldapmodify should succeed.

Additional info:
Comment 1 Perry Myers 2008-03-31 15:54:45 EDT
Created attachment 299755 [details]
ldapmodify run with -d 3
Comment 2 Simo Sorce 2008-04-30 14:43:23 EDT
We fixed this.
Comment 4 Yi Zhang 2008-05-28 15:20:36 EDT
not happening in RHEL 5 32 & 64 bit

Note You need to log in before you can comment on or make changes to this bug.